aboutsummaryrefslogtreecommitdiff
path: root/installer
diff options
context:
space:
mode:
Diffstat (limited to 'installer')
-rw-r--r--installer/install-powershell-languageserver.cmd18
-rwxr-xr-xinstaller/install-powershell-languageserver.sh19
2 files changed, 37 insertions, 0 deletions
diff --git a/installer/install-powershell-languageserver.cmd b/installer/install-powershell-languageserver.cmd
new file mode 100644
index 0000000..ae63ef4
--- /dev/null
+++ b/installer/install-powershell-languageserver.cmd
@@ -0,0 +1,18 @@
+@echo off
+
+curl -L -o PowerShellEditorServices.zip "https://github.com/PowerShell/PowerShellEditorServices/releases/download/2.0.0-preview.8/PowerShellEditorServices.zip"
+call "%~dp0\run_unzip.cmd" PowerShellEditorServices.zip
+del PowerShellEditorServices.zip
+mkdir %~dp0session
+
+echo @echo off ^
+
+setlocal ^
+
+set PSES_BUNDLE_PATH=%%~dp0PowerShellEditorServices ^
+
+set SESSION_TEMP_PATH=%%~dp0session ^
+
+powershell -NoLogo -NoProfile -ExecutionPolicy RemoteSigned -Command "%%PSES_BUNDLE_PATH:\=/%%/PowerShellEditorServices/Start-EditorServices.ps1 -BundledModulesPath %%PSES_BUNDLE_PATH:\=/%% -LogPath %%SESSION_TEMP_PATH:\=/%%/logs.log -SessionDetailsPath %%SESSION_TEMP_PATH:\=/%%/session.json -FeatureFlags @() -AdditionalModules @() -HostName 'My Client' -HostProfileId 'myclient' -HostVersion 1.0.0 -Stdio -LogLevel Normal" ^
+
+> powershell-languageserver.cmd
diff --git a/installer/install-powershell-languageserver.sh b/installer/install-powershell-languageserver.sh
new file mode 100755
index 0000000..f9f823f
--- /dev/null
+++ b/installer/install-powershell-languageserver.sh
@@ -0,0 +1,19 @@
+#!/usr/bin/env bash
+
+set -e
+
+curl -L -o PowerShellEditorServices.zip "https://github.com/PowerShell/PowerShellEditorServices/releases/download/2.0.0-preview.8/PowerShellEditorServices.zip"
+unzip PowerShellEditorServices.zip
+rm PowerShellEditorServices.zip
+mkdir session
+
+cat <<EOF >powershell-languageserver
+#!/usr/bin/env bash
+
+DIR=\$(cd \$(dirname \$0); pwd)
+PSES_BUNDLE_PATH=\$DIR/PowerShellEditorServices
+SESSION_TEMP_PATH=\$DIR/session
+pwsh -NoLogo -NoProfile -ExecutionPolicy RemoteSigned -Command "\$PSES_BUNDLE_PATH/PowerShellEditorServices/Start-EditorServices.ps1 -BundledModulesPath \$PSES_BUNDLE_PATH -LogPath \$SESSION_TEMP_PATH/logs.log -SessionDetailsPath \$SESSION_TEMP_PATH/session.json -FeatureFlags @() -AdditionalModules @() -HostName 'My Client' -HostProfileId 'myclient' -HostVersion 1.0.0 -Stdio -LogLevel Normal"
+EOF
+
+chmod +x powershell-languageserver